<?php

namespace KupShop\OrderingBundle\Controller;

use KupShop\KupShopBundle\Routing\TranslatedRoute;
use KupShop\OrderingBundle\View\OrderRegisterView;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;

class OrderController extends AbstractController
{
    /**
     * @TranslatedRoute("/#orderView#/{id}/registrace/")
     */
    public function orderRegisterAction(Request $request, OrderRegisterView $view, $id)
    {
        $view->setOrderId($id);
        $view->setSecurityCode($request->get('cf'));

        return $view->getResponse();
    }
}
